Subject: bug#50606: Add support for other formats of Guix channels

From: EuAndreh <[email-masked]>
Date: Thu, 16 Sep 2021 14:51:12 -0300

I'm very much in favor of keeping the current channel implementation leveraging
aspects specific to Git, and I also don't think that adding any other DVCS is
worth it.